#carbonads * {
	margin: initial;
	padding: initial;
	line-height: initial;
}

#carbonads {
	--carbon-font-size: 12px;
	--carbon-padding: 1.5ch;
	--carbon-max-char: 20ch;
	--carbon-bg-primary: hsl(0, 0%, 98%);
	--carbon-bg-secondary: hsl(0, 0%, 92%);
	--carbon-text-color: hsl(0, 0%, 20%);
}

#carbonads {
	z-index: 10;
	font-size: var(--carbon-font-size);
	font-family: var(--carbon-font-family);
}

#carbonads > span {
	display: flex;
	flex-direction: column;
	min-inline-size: 130px;
	max-inline-size: calc(
		130px + calc(var(--carbon-padding) * 2)
	);
	margin-inline: 0.6rem;
	margin-block-start: 0.6rem;
	padding: var(--carbon-padding);
	gap: var(--carbon-padding);
	background-color: var(--carbon-bg-primary);
	box-shadow: 0 0 0 1px var(--carbon-bg-secondary);
}

#carbonads a {
	color: var(--carbon-text-color);
	text-decoration: none;
}

#carbonads a:hover {
	color: var(--carbon-text-color);
}

#carbonads .carbon-wrap {
	display: flex;
	flex-wrap: wrap;
	gap: 1.5ex;
}

#carbonads .carbon-img {
	flex: 0 0 130px;
}

#carbonads .carbon-img img {
	display: block;
}

#carbonads .carbon-text {
	flex-grow: 1;
	flex-basis: var(--carbon-max-char);
	line-height: 1.4;
	text-align: left;
}

#carbonads .carbon-poweredby {
	padding: 6px 8px;
	background: var(--carbon-bg-secondary);
	color: var(--carbon-text-color);
	font-weight: 600;
	font-size: 0.6em;
	line-height: 1.4;
	letter-spacing: 0.2ch;
	text-align: center;
	text-transform: uppercase;
}